<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GncShouYunBean" />
    </data>

    <LinearLayout
        android:id="@+id/ll_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginVertical="5dp"
        android:background='@{bean.checkIn.equals("1") ? @drawable/bg_item_green : @drawable/bg_item}'
        android:paddingVertical="5dp"
        android:paddingStart="10dp">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.5">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运单号"
                        android:textColor="@color/text_normal"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.wbNo}"
                        android:textColor="@color/text_normal"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="代理人" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.agentCode}" />

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.5">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="计划航班" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.flight}" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="特码" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.spCode}" />

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.5">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="出运路径" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.range}" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="计划起飞" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.scheduledTackOffHM}" />

                    <TextView
                        visible="@{bean.verifyTakeOffNextDay()}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:text="+1"
                        android:textColor="@color/red" />
                </LinearLayout>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        completeSpace="@{4}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="机型" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="@{bean.aircraftCode}" />

                </LinearLayout>

            </LinearLayout>
        </LinearLayout>

        <ImageView
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center_vertical"
            android:src="@drawable/img_pda_right" />

    </LinearLayout>
</layout>